curl "https://api.smartcar.com/v2.0/vehicles/{id}/charge/limit" \
-H "Authorization: Bearer {token}" \
-X "POST" \
-H "Content-Type: application/json" \
-d '{"limit": 0.8}'
charge_limit = vehicle.set_charge_limit(0.8)
const chargeLimit = vehicle.setChargeLimit(0.8);
VehicleResponse chargeLimitResponse = vehicle.setChargeLimit(0.8);
charge_limit = vehicle.set_charge_limit(0.8)
{
"message": "Successfully sent request to vehicle",
"status": "success"
}
Vehicle Commands (Legacy)
Charge Limit
Set the charge limit of an electric vehicle.
POST
/
v2.0
/
vehicles
/
{id}
/
charge
/
limit
curl "https://api.smartcar.com/v2.0/vehicles/{id}/charge/limit" \
-H "Authorization: Bearer {token}" \
-X "POST" \
-H "Content-Type: application/json" \
-d '{"limit": 0.8}'
charge_limit = vehicle.set_charge_limit(0.8)
const chargeLimit = vehicle.setChargeLimit(0.8);
VehicleResponse chargeLimitResponse = vehicle.setChargeLimit(0.8);
charge_limit = vehicle.set_charge_limit(0.8)
{
"message": "Successfully sent request to vehicle",
"status": "success"
}
Remote commands are now available in API v3. We recommend using v3 for new command integrations. Commands remain available in v2.0 until it is deprecated.
Permission
control_charge
Request
Pathstring
required
The vehicle ID of the vehicle you are making a request to.
number
required
The level at which the vehicle should stop charging and be considered fully charged.
Cannot be less than
0.5, or greater than 1.curl "https://api.smartcar.com/v2.0/vehicles/{id}/charge/limit" \
-H "Authorization: Bearer {token}" \
-X "POST" \
-H "Content-Type: application/json" \
-d '{"limit": 0.8}'
charge_limit = vehicle.set_charge_limit(0.8)
const chargeLimit = vehicle.setChargeLimit(0.8);
VehicleResponse chargeLimitResponse = vehicle.setChargeLimit(0.8);
charge_limit = vehicle.set_charge_limit(0.8)
Response
string
If the request is successful, Smartcar will return “success” (HTTP 200 status).
string
If the request is successful, Smartcar will return a message (HTTP 200 status).
Notes
This endpoint will return aCHARGING_PLUG_NOT_CONNECTED error if
the OEM is unable to set a charge limit while the vehicle is unpluged.
Ford and LincolnIf a vehicle starts charging as a result of a start charge request it will always charge to 100% if the charging location has a schedule in place. Charging schedules on the vehicle can be read through the
Charge.ChargeTimers signal.
BMW and MINIVehicle needs to be on OS Version 8+
{
"message": "Successfully sent request to vehicle",
"status": "success"
}
Was this page helpful?

